<!DOCTYPE html>
<html>
<head>
<title> Pizza 365 v1.9 GUI design </title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

</head>
<body>
  
  <!-- Menu -->
  <div class="container-fluid bg-light">
    <div class="row">
      <div class="col-sm-12">
        <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-warning">
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav nav-fill w-100">
              <li class="nav-item active">
                <a class="nav-link font-weight-bold" href="#">Trang chủ</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#plans">Combo</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#about">Loại pizza</a>
              </li>
              <li class="nav-item">  <!-- đổi thành dạng click để dễ xử lý-->
                <button id="btn-order-data" class="btn text-secondary" onclick = "onNavOrderDetailClick(this)" > Gửi đơn hàng</button>
              </li>
            </ul>
          </div>
        </nav>
      </div>  
    </div>
  </div>

  <!-- Content -->
  <div class="container" style="padding: 120px 0 50px 0;">
    <div class="row">
      <div class="col-sm-12">
        <div class="row">
          <!-- Title row home -->
          <div class="col-sm-12 text-warning">
            <h1><b>PIZZA 365</b></h1>
            <p class = "font-italic font-weight-bold">True Italian !</p>
          </div>

          <!-- Slide row home -->
          <div class="col-sm-12">
            <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
              <ol class="carousel-indicators">
                <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
                
              </ol>
              <div class="carousel-inner">
                <div class="carousel-item active">
                  <img class="d-block w-100" src="images/1.jpg" alt="First slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/2.jpg" alt="Second slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/3.jpg" alt="Third slide">
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/4.jpg" alt="Forth slide">
                </div>
                
              </div>
              <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
              </a>
              <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
              </a>
            </div>
          </div>

          <!-- Tại sao lại Pizza 365 -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom text-warning border-warning">Tại sao lại Pizza 365</b></h2>
          </div>

          <!-- Content Tại sao lại Pizza 365 -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-3 p-4 border border-warning" style="background-color: lightgoldenrodyellow ;">
                <h3 class="p-2">Đa dạng</h3>
                <p class="p-2">Số lượng pizza đa dạng, có đầy đủ các loại pizza đang hot nhất hiện nay.</p>
              </div>
              <div class="col-sm-3 p-4 border border-warning" style="background-color: yellow ;">
                <h3 class="p-2">Chất lượng</h3>
                <p class="p-2">Nguyên liệu sạch 100% rõ nguồn gốc, quy trình chế biến đảm bảo vệ sinh an toàn thực phẩm.</p>
              </div>
              <div class="col-sm-3 p-4 border border-warning" style="background-color: lightsalmon ;">
                <h3 class="p-2">Hương vị</h3>
                <p class="p-2">Đảm bảo hương vị ngon, độc, lạ mà bạn chỉ có thể trải nghiệm từ Pizza 365.</p>
              </div>
              <div class="col-sm-3 p-4 bg-warning border border-warning">
                <h3 class="p-2">Dịch vụ</h3>
                <p class="p-2">Nhân viên thân thiện, nhà hàng hiện đại. Dịch vụ giao hàng nhanh chất lượng, tân tiến.</p>
              </div>
            </div>
          </div>
        </div>

        <div id="plans" class="row">
          <!-- Title Chọn size pizza -->
          <div class="col-sm-12 text-center text-warning p-4 mt-4">
            <h2><b class="p-1 border-bottom border-warning">Chọn size pizza</b></h2>
            <p><span class="p-2 small">Hãy chọn combo pizza phù hợp với nhu cầu của bạn.</span></p>
          </div>
          <!-- Content Chọn size pizza -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header text-center" style="background-color:orange ;">
                    <h3>S (small)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">Đường kính:<b> 20cm</b> </li>
                      <li class="list-group-item">Sườn nướng:<b> 2</b></li>
                      <li class="list-group-item">Salad:<b> 200g</b></li>
                      <li class="list-group-item">Nước ngọt:<b> 2</b></li>
                      <li class="list-group-item"><h2><b> 150.000</b></h2>VNĐ</li>
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button id="btn-select-small" class="btn btn-warning w-100 font-weight-bold" data-is-selected-menu = "N">Chọn</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-warning text-center">
                    <h3>M (medium)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">Đường kính:<b> 25cm</b> </li>
                      <li class="list-group-item">Sườn nướng:<b> 4</b></li>
                      <li class="list-group-item">Salad:<b> 300g</b></li>
                      <li class="list-group-item">Nước ngọt:<b> 3</b></li>
                      <li class="list-group-item"><h2><b> 200.000</b></h2>VNĐ</li>
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button id="btn-select-medium" class="btn btn-warning w-100 font-weight-bold" data-is-selected-menu = "N">Chọn</button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header text-center" style="background-color:orange ;">
                    <h3>L (large)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">Đường kính:<b> 30cm</b> </li>
                      <li class="list-group-item">Sườn nướng:<b> 8</b></li>
                      <li class="list-group-item">Salad:<b> 500g</b></li>
                      <li class="list-group-item">Nước ngọt:<b> 4</b></li>
                      <li class="list-group-item"><h2><b> 250.000</b></h2>VNĐ</li>
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button id="btn-select-large" class="btn btn-warning w-100 font-weight-bold" data-is-selected-menu = "N">Chọn</button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div id="about" class="row">
          <!-- Title Chọn loại Pizza -->
          <div class="col-sm-12 text-center text-warning p-4 mt-4">
            <h2><b class="p-2 border-bottom border-warning">Chọn loại Pizza</b></h2>
          </div>

          <!-- Content chọn loại pizza -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/seafood.jpg" class="card-img-top">
                  <div class="card-body">
                    <h4>OCEAN MANIA</h4>
                    <p>PIZZA HẢI SẢN SỐT MAYONNAISE</p>
                    <p>Sốt Cà Chua, Phô Mai Mozzarella, Tôm, Mực, Thanh Cua, Hành Tây.</p>
                    <p><button id="btn-select-hawai" class="btn btn-warning w-100 font-weight-bold"  data-is-selected-pizza = "N">Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/hawaiian.jpg" class="card-img-top">
                  <div class="card-body">
                    <h4>HAWAIIAN</h4>
                    <p>PIZZA DĂM BÔNG DỨA KIỂU HAWAII</p>
                    <p>Sốt Cà Chua, Phô Mai Mozzarella, Thịt Dăm Bông, Thơm.
                    </p>
                    <p><button id="btn-select-hai-san" class="btn btn-warning w-100 font-weight-bold"  data-is-selected-pizza = "N">Chọn</button></p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem;">
                  <img src="images/bacon.jpg" class="card-img-top">
                  <div class="card-body">
                    <h4>CHEESY CHICKEN BACON</h4>
                    <p>PIZZA GÀ PHÔ MAI THỊT HEO XÔNG KHÓI</p>
                    <p>Sốt Phô Mai, Thịt Gà, Thịt Heo Muối, Phô Mai Mozzarella, Cà Chua.</p>
                    <p><button id="btn-select-thit-nuong" class="btn btn-warning w-100 font-weight-bold"  data-is-selected-pizza = "N">Chọn</button></p>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <!--Task27.50: Thêm lựa chọn đồ uống-->
        <div id="drink" class="row">
          <div class="col-sm-12 text-center text-warning p-4 mt-4">
            <h2><b class="p-2 border-bottom border-warning">Chọn đồ uống</b></h2>
          </div>
          <div class="col-sm-12">
            <select id="select-drink" class="form-control">
              <option value="0">Tất cả loại nước uống</option>
            </select>
          </div>
        </div>
        
        <div id="contact" class="row">
          <!-- Title Thông tin đơn hàng -->
          <div class="col-sm-12 text-center text-warning p-4 mt-4">
            <h2><b class="p-2 border-bottom border-warning">Gửi đơn hàng</b></h2>
          </div>
          <!-- Content Thông tin đơn hàng -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-12">
                <div class="form-group">
                  <label for="fullname">Tên</label>
                  <input type="text" class="form-control" id="inp-fullname" placeholder="Nhập tên">
                </div>
                <div class="form-group">
                  <label for="email">Email</label>
                  <input type="text" class="form-control" id="inp-email" placeholder="Nhập email">
                </div>
                <div class="form-group">
                  <label for="dien-thoai">Số điện thoại</label>
                  <input type="text" class="form-control" id="inp-dien-thoai" placeholder="Nhập số điện thoại">
                </div>
                <div class="form-group">
                  <label for="dia-chi">Địa chỉ</label>
                  <input type="text" class="form-control" id="inp-dia-chi" placeholder="Địa chỉ">
                </div>
                <div class="form-group">
                  <label for="inp-voucher-id">Mã giảm giá</label>
                  <input type="text" class="form-control" id="inp-voucher-id" placeholder="Nhập mã giảm giá">
                </div>
                <div class="form-group">
                  <label for="message">Lời nhắn</label>
                  <input type="text" class="form-control" id="inp-message" placeholder="Nhập lời nhắn">
                </div>
                <button id = "btn-gui-don" type="button" class="font-weight-bold btn btn-warning w-100">Gửi</button>
              </div>
            </div>
          </div>
          <!-- Create order modal -->
          <div>
            <div id="create-order-modal" class="modal fade" tabindex="-1">
              <div class="modal-dialog">
                <div class="modal-content">
                  <div class="modal-header">
                    <h5 class="modal-title" id="h5-modal-title">Thông tin đơn hàng</h5>
                    <button class="close" data-dismiss="modal">&times;</button>
                  </div>
                  <div class="modal-body">
                    <form>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-order-name">Họ và tên</label>
                        </div>
                        <div class="col-sm-8">
                          <input type="text" id="input-create-order-name" name="name" placeholder="Nhập họ và tên"
                            class="form-control">
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-order-phone">Số điện thoại</label>
                        </div>
                        <div class="col-sm-8">
                          <input type="text" id="input-create-order-phone" name="phone" placeholder="Nhập số điện thoại"
                            class="form-control">
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-order-dia-chi">Địa chỉ</label>
                        </div>
                        <div class="col-sm-8">
                          <input type="text" id="input-create-order-dia-chi" name="address" placeholder="Nhập địa chỉ"
                            class="form-control">
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-order-message">Lời nhắn</label>
                        </div>
                        <div class="col-sm-8">
                          <input type="text" id="input-create-order-message" name="message" placeholder="Lời nhắn"
                            class="form-control">
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-order-id-voucher">Mã giảm giá</label>
                        </div>
                        <div class="col-sm-8">
                          <input type="text" id="input-create-order-id-voucher" name="idvoucher" placeholder="Nhập mã giảm giá"
                            class="form-control">
                        </div>
                      </div>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="input-create-order-detail">Thông tin chi tiết</label>
                        </div>
                        <div class="col-sm-8">
                          <textarea rows="5" style="height:100%;" type="text" id="input-create-order-detail" name="editdate" placeholder="Thông tin chi tiết hiển thị ở đây"
                            class="form-control">
                          </textarea>
                        </div>
                      </div>
                    </form>
                  </div>
                  <div class="modal-footer">
                        <button class="btn btn-danger mt-3" data-dismiss="modal" id="btn-cancel">Quay lại</button>
                        <button class="btn btn-warning mt-3" id="btn-create-order">Tạo đơn</button>
                    </div>
                  </div>

                </div>
              </div>
            </div>
          </div>
          <!-- END create order modal -->

          <!-- Modal hiển thị lời cảm ơn -->
          <div class = "container ">
            <div id="thank-you-modal" class="modal fade modal-lg " tabindex="-1">
              <div class="modal-dialog">
                <div class="modal-content bg-warning">
                  <div class="modal-header">
                    <h5 class="modal-title" id="h5-modal-title">Cảm ơn bạn đã đặt hàng tại Pizza 365. Mã đơn hàng của bạn là:</h5>
                    <button class="close" data-dismiss="modal">&times;</button>
                  </div>
                  <div class="modal-body">
                    <form>
                      <div class="row form-group">
                        <div class="col-sm-4">
                          <label for="order-code-output">Mã đơn hàng: </label>
                        </div>
                        <div class="col-sm-8">
                          <input type="text" id="order-code-output" name="name" placeholder="Mã đơn hàng tự động hiển thị"
                            class="form-control">
                        </div>
                      </div>
                    </form>
                  </div>
                  <div class="modal-footer">
                    
                  </div>
                </div>
              </div>
            </div>
          </div>
          <!-- END Modal hiển thị lời cảm ơn -->
        </div>
      </div>
    </div>
  </div>

  <!-- Footer -->
  <div class="container-fluid bg-warning p-5">
    <div class="row text-center">
      <div class="col-sm-12">
        <h4 class="m-2">Footer</h4>
        <a href="#" class="btn btn-dark m-3"><i class="fa fa-arrow-up"></i>To the top</a>
        <div class="m-2">
          <i class="fa fa-facebook-official w3-hover-opacity"></i>
          <i class="fa fa-instagram w3-hover-opacity"></i>
          <i class="fa fa-snapchat w3-hover-opacity"></i>
          <i class="fa fa-pinterest-p w3-hover-opacity"></i>
          <i class="fa fa-twitter w3-hover-opacity"></i>
          <i class="fa fa-linkedin w3-hover-opacity"></i>
          <p class = "small font-weight-bold">Powered by DEVCAMP</p>
        </div>
      </div>
    </div>
  </div>
</body>
  
<script>
"use strict";
$(document).ready(function(){

/*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */ 
// các combo Pizza
const gCOMBO_SMALL = "small";
const gCOMBO_MEDIUM = "medium";
const gCOMBO_LARGE = "large";

//các loại pizza
const gHAWAI = "hawaii";
const gHAI_SAN = "seafood";
const gTHIT_NUONG = "bacon";

const gREQUEST_STATUS_OK = 200; // GET & PUT success
const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
const gREQUEST_CREATE_SUCCESS = 201; // status 201 - tạo thành công

//khai báo các biến toàn cục lưu combo và loại pizza được chọn
var gComboSelect;
var gPizzaSelect;

/*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
$("#btn-select-small").click(function(){
  changeComboButtonColor(gCOMBO_SMALL);
  var vSelectedCombo = getCombo("small","20cm",2,"200g",2,150000);
  vSelectedCombo.displayInConsoleLog();
})
$("#btn-select-medium").click(function(){
  changeComboButtonColor(gCOMBO_MEDIUM);
  var vSelectedCombo = getCombo("medium","25cm",4,"300g",3,200000);
  vSelectedCombo.displayInConsoleLog();
})
$("#btn-select-large").click(function(){
  changeComboButtonColor(gCOMBO_LARGE);
  var vSelectedCombo = getCombo("large","30cm",8,"500g",4,250000);
  vSelectedCombo.displayInConsoleLog();
})
$("#btn-select-hawai").click(function(){
  changePizzaButtonColor(gHAWAI);
  console.log("Pizza Hawai");
})
$("#btn-select-hai-san").click(function(){
  changePizzaButtonColor(gHAI_SAN);
  console.log("Pizza Hải sản");
})
$("#btn-select-thit-nuong").click(function(){
  changePizzaButtonColor(gTHIT_NUONG);
  console.log("Pizza Thịt nướng");
})
//Lấy danh sách đồ uống khi tải trang
$(document).ready(function(){
  getDrinkList();
})
//gán sự kiện cho nút gửi đơn hàng
$("#btn-gui-don").click(function(){
  guiDonHang();
})
//gán sự kiện cho nút gửi đơn trên modal
$("#btn-create-order").click(function(){
//khai báo biến lưu thông tin đơn hàng xác nhận
var vOrderRequestObj = {
  kichCo:"",
  duongKinh:"",
  suon:"",
  salad:"",
  loaiPizza:"",
  idVourcher:"",
  idLoaiNuocUong:"",
  soLuongNuoc:"",
  hoTen:"",
  thanhTien:"",
  email:"",
  soDienThoai:"",
  diaChi:"",
  loiNhan:""
}
  //b1: đọc dữ liệu
  dataReadOrderRequest(vOrderRequestObj);
  console.log(vOrderRequestObj);
  //b2: kiểm tra dữ liệu - bỏ qua vì đã hiện form nghĩa là data đã hợp lệ
  var vXmlHttpCreateOrder = new XMLHttpRequest();
  //b3: gọi Api
  goiApiCreateOrder (vOrderRequestObj,vXmlHttpCreateOrder);
  //b4: xử lý hiển thị
  
});
/*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */

  //Xử lý sự kiện nút gửi để kiểm tra đơn hàng
  function guiDonHang(){
    //khai báo biến lưu thông tin đặt hàng
    var vThongTinDatHangObj = {
      combo: null,
      loaiPizza: null,
      idLoaiNuocUong: null,
      hoTen:"",
      email: "",
      soDienThoai: "",
      diaChi: "",
      loiNhan: "",
      idVourcher: "",
      giamGia: "",
      priceActualVND : function(){
        return this.combo.VND * (1 - this.giamGia/100);
      },
      displayInConsoleLog(){
        console.log("%cĐƠN HÀNG - đơn hàng đã xác nhận..........", "color:blue");
        console.log(this.combo);  //this = "đối tượng này"
        console.log("Loại pizza: " + this.loaiPizza);
        console.log("Loại nước uống: " + this.idLoaiNuocUong);
        console.log("Họ và tên: " + this.hoTen);
        console.log("Emails: " + this.email); 
        console.log("Điện thoại: " + this.soDienThoai);
        console.log("Địa chỉ:" + this.diaChi);
        console.log("Lời nhắn: " + this.loiNhan);
        console.log("Mã giảm giá: " + this.idVourcher);
        console.log("Phần trăm giảm giá: " + this.giamGia + "%");
        console.log("Giá phải thanh toán:" + "VND" + this.priceActualVND());
      }
    };
    //b1: đọc thông tin
    readData(vThongTinDatHangObj);
    //b2: validate thông tin đơn hàng
    var vCheck = validateDataOrder(vThongTinDatHangObj);
    if (vCheck){
    //b3: hiển thị thông tin đơn hàng
    displayData(vThongTinDatHangObj);}
    return vThongTinDatHangObj; //trả lại đối tượng chứa thông tin đặt hàng
  }
  
/*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
//function trả lại một đối tượng combo (menu) được tham số 
function getCombo(paramCombo, paramDuongKinh, paramSuonNuong, paramSalad, paramNuocNgot, paramVND){
    var vSelectedCombo = {  //Đối tượng: combo được chọn
      comboName: paramCombo,//combo = menu small/medium/large
      duongKinh: paramDuongKinh,   
      suonNuong: paramSuonNuong,
      salad: paramSalad,
      nuocNgot: paramNuocNgot,
      VND: paramVND,
      // method display combo infor - phương thức hiện menu combo được chọn 
      displayInConsoleLog() {
        console.log("%cCombo SELECTED - combo được chọn..........", "color:blue");
        console.log(this.comboName);  //this = "đối tượng này"
        console.log("Đường kính: " + this.duongKinh);
        console.log("Sườn nướng: " + this.suonNuong); 
        console.log("Salad: " + this.salad);
        console.log("Nước ngọt:" + this.nuocNgot);
        console.log("VND: " + this.VND);
      }
    }
    return vSelectedCombo;  //trả lại đối tượng, có đủ dữ liệu (attribute) và các methods (phương thức)
  }
// đổi combo phù hợp
  //1. đổi màu button (sign-up) để phân biện gói được chọn
  //2. đổi thuộc tính data-is-selected phù hợp cho từng nút
  function changeComboButtonColor(paramCombo) {
    var vBtnSmall = document.getElementById("btn-select-small");  // truy vấn nút combo small (sign - up)
    var vBtnMedium = document.getElementById("btn-select-medium"); //truy vấn nút gói basic (sign - up)
    var vBtnLarge = document.getElementById("btn-select-large"); //truy vấn nút gói premium (sign - up)
    
    if (paramCombo === gCOMBO_SMALL) {  //nếu chọn small thì thay màu nút small bằng màu đỏ (btn-danger), hai nút kia cam (btn-warning)
        // code đổi màu 3 nút, khi gói small được chọn, 
        // đổi giá trị data-is-selected
      vBtnSmall.className = "btn btn-danger w-100 font-weight-bold";
      vBtnSmall.setAttribute("data-is-selected-menu","Y");
      
      vBtnMedium.className = "btn btn-warning w-100 font-weight-bold";
      vBtnMedium.setAttribute("data-is-selected-menu","N");

      vBtnLarge.className = "btn btn-warning w-100 font-weight-bold";
      vBtnLarge.setAttribute("data-is-selected-menu","N");
      //lưu vào biến toàn cục
      gComboSelect = gCOMBO_SMALL;
    }
    else if (paramCombo === gCOMBO_MEDIUM) {  //nếu chọn Medium thì thay màu nút Basic bằng màu đỏ (btn-danger), hai nút kia cam (btn-warning)
      vBtnSmall.className = "btn btn-warning w-100 font-weight-bold";
      vBtnSmall.setAttribute("data-is-selected-menu","N");
      
      vBtnMedium.className = "btn btn-danger w-100 font-weight-bold";
      vBtnMedium.setAttribute("data-is-selected-menu","Y");

      vBtnLarge.className = "btn btn-warning w-100 font-weight-bold";
      vBtnLarge.setAttribute("data-is-selected-menu","N");
      //lưu vào biến toàn cục
      gComboSelect = gCOMBO_MEDIUM;
    } 
    else if (paramCombo === gCOMBO_LARGE) { //nếu chọn Large thì thay màu nút Premium bàng màu đỏ, hai nút kia cam
      // code đổi màu 3 nút, khi gói large được chọn, 
      // đổi giá trị data-is-selected
      vBtnSmall.className = "btn btn-warning w-100 font-weight-bold";
      vBtnSmall.setAttribute("data-is-selected-menu","N");
      
      vBtnMedium.className = "btn btn-warning w-100 font-weight-bold";
      vBtnMedium.setAttribute("data-is-selected-menu","N");

      vBtnLarge.className = "btn btn-danger w-100 font-weight-bold";
      vBtnLarge.setAttribute("data-is-selected-menu","Y");
      //lưu vào biến toàn cục
      gComboSelect = gCOMBO_LARGE;
    }
  }
// đổi pizza phù hợp
  //1. đổi màu button (sign-up) để phân biện loại pizza được chọn
  //2. đổi thuộc tính data-is-selected phù hợp cho từng nút
  function changePizzaButtonColor(paramPizza) {
    var vBtnHawai = document.getElementById("btn-select-hawai");  // truy vấn nút pizza hawai (sign - up)
    var vBtnHaiSan = document.getElementById("btn-select-hai-san"); //truy vấn nút pizza hải sản(sign - up)
    var vBtnThitNuong = document.getElementById("btn-select-thit-nuong"); //truy vấn pizza bacon (sign - up)
    
    if (paramPizza === gHAWAI) {  //nếu chọn Hawai thì thay màu nút Gà bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
      // code đổi màu 3 nút, khi gói Hawai được chọn, 
      // đổi giá trị data-is-selected
      vBtnHawai.className = "btn btn-danger w-100 font-weight-bold";
      vBtnHawai.setAttribute("data-is-selected-pizza","Y");
      
      vBtnHaiSan.className = "btn btn-warning w-100 font-weight-bold";
      vBtnHaiSan.setAttribute("data-is-selected-pizza","N");

      vBtnThitNuong.className = "btn btn-warning w-100 font-weight-bold";
      vBtnThitNuong.setAttribute("data-is-selected-pizza","N");
      //lưu vào biến toàn cục
      gPizzaSelect = gHAWAI;
    }
    else if (paramPizza === gHAI_SAN) {  //nếu chọn Hải sản thì thay màu nút Hải sản bằng màu cam (btn-warning), hai nút kia xanh (btn-success)
      vBtnHawai.className = "btn btn-warning w-100 font-weight-bold";
      vBtnHawai.setAttribute("data-is-selected-pizza","N");
      
      vBtnHaiSan.className = "btn btn-danger w-100 font-weight-bold";
      vBtnHaiSan.setAttribute("data-is-selected-pizza","Y");

      vBtnThitNuong.className = "btn btn-warning w-100 font-weight-bold";
      vBtnThitNuong.setAttribute("data-is-selected-pizza","N");
      //lưu vào biến toàn cục
      gPizzaSelect = gHAI_SAN;
    } 
    else if (paramPizza === gTHIT_NUONG) { //nếu chọn Thịt nướng thì thay màu nút Thịt nướng bàng màu cam, hai nút kia xanh
      // code đổi màu 3 nút, khi gói Thịt nướng được chọn, 
      // đổi giá trị data-is-selected
      vBtnHawai.className = "btn btn-warning w-100 font-weight-bold";
      vBtnHawai.setAttribute("data-is-selected-pizza","N");
      
      vBtnHaiSan.className = "btn btn-warning w-100 font-weight-bold";
      vBtnHaiSan.setAttribute("data-is-selected-pizza","N");

      vBtnThitNuong.className = "btn btn-danger w-100 font-weight-bold";
      vBtnThitNuong.setAttribute("data-is-selected-pizza","Y");
      //lưu vào biến toàn cục
      gPizzaSelect = gTHIT_NUONG;
    }
  }
//Get drinklist khi tải trang
function getDrinkList(){
  "use strict";
  var vBASE_URL ="http://203.171.20.210:8080/devcamp-pizza365/drinks";
  $.ajax({
    url: vBASE_URL,
    type: "GET",
    dataType: "json",
    success: function(res){
      handleDrinkList(res);
    },
    error: function(ajaxContext){
      alert(ajaxContext.responseText);
     }
  });
}
//hàm load option cho drink select element
function handleDrinkList(paramDrink){
      "use strict";
      var vArrayDrinkList = paramDrink;
      //load data to drink select
      var vSelectDrink = document.getElementById("select-drink");
      for (var bI = 0; bI < vArrayDrinkList.length; bI++){
        var vDrinkOption = document.createElement("option");
        vDrinkOption.value = vArrayDrinkList[bI].maNuocUong;
        vDrinkOption.text =  vArrayDrinkList[bI].tenNuocUong;
        vSelectDrink.appendChild(vDrinkOption);
      }
    }
//hàm đọc thông tin đặt hàng và gán vào 1 object
function readData(paramThongTinDatHangObj){
    var vSelectS = document.getElementById("btn-select-small");
    var vSelectM = document.getElementById("btn-select-medium");
    var vSelectL = document.getElementById("btn-select-large");
    var vSelectHawai = document.getElementById("btn-select-hawai");
    var vSelectSeafood = document.getElementById("btn-select-hai-san");
    var vSelectBacon = document.getElementById("btn-select-thit-nuong");
    var vSelectedDrink = document.getElementById("select-drink");
    var vNameInput = document.getElementById("inp-fullname");
    var vEmailInput = document.getElementById("inp-email");
    var vPhoneInput = document.getElementById("inp-dien-thoai");
    var vAddressInput = document.getElementById("inp-dia-chi");
    var vMessageInput = document.getElementById("inp-message");
    var vCodeInput = document.getElementById("inp-voucher-id");
    paramThongTinDatHangObj.hoTen = vNameInput.value;
    paramThongTinDatHangObj.email = vEmailInput.value;
    paramThongTinDatHangObj.soDienThoai = vPhoneInput.value;
    paramThongTinDatHangObj.diaChi = vAddressInput.value;
    paramThongTinDatHangObj.loiNhan = vMessageInput.value;
    paramThongTinDatHangObj.idVourcher = vCodeInput.value;
    if (vSelectS.getAttribute("data-is-selected-menu") == "Y"){
      var vSelectedCombo = getCombo("small","20cm",2,"200g",2,150000);    
    }
    if (vSelectM.getAttribute("data-is-selected-menu") == "Y"){
      var vSelectedCombo = getCombo("medium","25cm",4,"300g",3,200000);
    }
    if (vSelectL.getAttribute("data-is-selected-menu") == "Y"){
      var vSelectedCombo = getCombo("large","30cm",8,"500g",4,250000);
    }
    if (vSelectHawai.getAttribute("data-is-selected-pizza") == "Y"){
      var vSelectedPizza = gHAWAI;
    }
    if (vSelectSeafood.getAttribute("data-is-selected-pizza") == "Y"){
      var vSelectedPizza = gHAI_SAN;
    }
    if (vSelectBacon.getAttribute("data-is-selected-pizza") == "Y"){
      var vSelectedPizza = gTHIT_NUONG;
    }
  paramThongTinDatHangObj.combo = vSelectedCombo;
  paramThongTinDatHangObj.loaiPizza = vSelectedPizza;
  paramThongTinDatHangObj.idLoaiNuocUong = vSelectedDrink.value;
  var vVoucherId = paramThongTinDatHangObj.idVourcher;
  if (vVoucherId !== ""){
      var vVoucherObj = checkVoucher(vVoucherId); //gọi hàm tính kiểm tra voucher theo id voucher nhập vào và đưa % giảm giá vào 1 thuộc tính của đơn hàng
      if (vVoucherObj){
        paramThongTinDatHangObj.giamGia = vVoucherObj.phanTramGiamGia;
      } 
      else paramThongTinDatHangObj.giamGia = 0;
    }
      else paramThongTinDatHangObj.giamGia = 0;
  }

  //check mã giảm giá
  //input: voucher id
  //output: voucher obj
  function checkVoucher(paramVoucherId){
    "use strict";
    const vBASE_URL =  "http://203.171.20.210:8080/devcamp-pizza365/voucher_detail/";
    var vVoucherObj;
    $.ajax({
      url: vBASE_URL + paramVoucherId,
      dataType: "json",
      type: "GET",
      async: false,
      success: function(res){
        console.log("Thông tin voucher: ");
        console.log(res);
        vVoucherObj = res;
       },
      error: function(ajaxContext){
        console.log("Không tìm thấy voucher " + ajaxContext.responseText);
      }
    });
    return vVoucherObj;
  }
  //khai báo hàm kiểm tra thông tin đơn hàng
  function validateDataOrder(paramThongTinDatHangObj){
    if (paramThongTinDatHangObj.combo == null){
      alert ("Chưa chọn combo!");
      return false;
    }
    if (paramThongTinDatHangObj.loaiPizza == null){
      alert ("Chưa chọn loại pizza!");
      return false;
    }
    if (paramThongTinDatHangObj.idLoaiNuocUong == 0){
      alert ("Chưa chọn đồ uống!");
      return false;
    }
    if (paramThongTinDatHangObj.hoTen == "" ||
    paramThongTinDatHangObj.email == "" ||
    paramThongTinDatHangObj.soDienThoai == "" ||
    paramThongTinDatHangObj.diaChi == ""){
      alert ("Cần điền đầy đủ tên, email, số điện thoại và địa chỉ");
      return false;
    }
    var vEmailCheck = emailValidation(paramThongTinDatHangObj.email);
    if (vEmailCheck == false){
      alert("Email phải chứa ký tự @ và nằm giữa ít nhất 2 ký tự khác");
      return false;
    }
    return true;
  }
  //khai báo hàm kiểm tra email
  function emailValidation(paramEmail){
    if (paramEmail.includes("@",1) == false){
      return false;
    }
    else if (paramEmail.split("@")[1] == ""){
      return false;
    } 
    else return true;
  }

  //khai báo hàm xử lý hiển thị khi nhấn nút gửi order
  function displayData(paramThongTinDatHangObj){
    paramThongTinDatHangObj.displayInConsoleLog();
    //hiện modal tạo order
    $("#create-order-modal").modal("show");
    //load thông tin từ order được tạo vào modal create order
    handleCreateOrderModal(paramThongTinDatHangObj);
  }
  //khai báo hàm đọc thông tin đặt hàng trên web
    function dataReadOrderRequest(paramOrderRequestObj){
      var vSelectS = document.getElementById("btn-select-small");
      var vSelectM = document.getElementById("btn-select-medium");
      var vSelectL = document.getElementById("btn-select-large");
      var vSelectHawai = document.getElementById("btn-select-hawai");
      var vSelectSeafood = document.getElementById("btn-select-hai-san");
      var vSelectBacon = document.getElementById("btn-select-thit-nuong");
      var vSelectedDrink = document.getElementById("select-drink");
      var vNameInput = document.getElementById("inp-fullname");
      var vEmailInput = document.getElementById("inp-email");
      var vPhoneInput = document.getElementById("inp-dien-thoai");
      var vAddressInput = document.getElementById("inp-dia-chi");
      var vMessageInput = document.getElementById("inp-message");
      var vCodeInput = document.getElementById("inp-voucher-id");
        
      if (vSelectS.getAttribute("data-is-selected-menu") == "Y"){
        var vSelectedCombo = getCombo("small","20cm",2,"200g",2,150000);    
      }
      if (vSelectM.getAttribute("data-is-selected-menu") == "Y"){
        var vSelectedCombo = getCombo("medium","25cm",4,"300g",3,200000);
      }
      if (vSelectL.getAttribute("data-is-selected-menu") == "Y"){
        var vSelectedCombo = getCombo("large","30cm",8,"500g",4,250000);
      }
      if (vSelectHawai.getAttribute("data-is-selected-pizza") == "Y"){
        var vSelectedPizza = gHAWAI;
      }
      if (vSelectSeafood.getAttribute("data-is-selected-pizza") == "Y"){
        var vSelectedPizza = gHAI_SAN;
      }
      if (vSelectBacon.getAttribute("data-is-selected-pizza") == "Y"){
        var vSelectedPizza = gTHIT_NUONG;
      }
      paramOrderRequestObj.kichCo = vSelectedCombo.comboName;
      paramOrderRequestObj.duongKinh = vSelectedCombo.duongKinh;
      paramOrderRequestObj.suon = vSelectedCombo.suonNuong;
      paramOrderRequestObj.salad = vSelectedCombo.salad;
      paramOrderRequestObj.loaiPizza = vSelectedPizza;
      paramOrderRequestObj.idVourcher = vCodeInput.value;
      paramOrderRequestObj.idLoaiNuocUong = vSelectedDrink.value;
      paramOrderRequestObj.soLuongNuoc = vSelectedCombo.nuocNgot;
      paramOrderRequestObj.hoTen = vNameInput.value;
      paramOrderRequestObj.thanhTien = vSelectedCombo.VND;
      paramOrderRequestObj.email = vEmailInput.value;
      paramOrderRequestObj.soDienThoai = vPhoneInput.value;
      paramOrderRequestObj.diaChi = vAddressInput.value;
      paramOrderRequestObj.loiNhan = vMessageInput.value;
        
    }
    //hàm xử lý modal tạo order
    function handleCreateOrderModal(paramOrderRequestObj){
    "use strict";
    console.log(paramOrderRequestObj);
    //load các giá trị lên modal create
    $("#input-create-order-name").val(paramOrderRequestObj.hoTen);
    $("#input-create-order-phone").val(paramOrderRequestObj.soDienThoai);
    $("#input-create-order-dia-chi").val(paramOrderRequestObj.diaChi);
    $("#input-create-order-message").val(paramOrderRequestObj.loiNhan);
    $("#input-create-order-id-voucher").val(paramOrderRequestObj.idVourcher);
    $("#input-create-order-detail").val("Xác nhận: " 
     + paramOrderRequestObj.hoTen + ", " + paramOrderRequestObj.soDienThoai + ", " + paramOrderRequestObj.diaChi + "\n"
     + "Menu " + paramOrderRequestObj.combo.comboName + ", sườn nướng " + paramOrderRequestObj.combo.suonNuong + ", nước " + paramOrderRequestObj.combo.nuocNgot + "... \n"
     + "Loại pizza: " + paramOrderRequestObj.loaiPizza + ", Giá: " + paramOrderRequestObj.combo.VND + "VND, Mã giảm giá: " + paramOrderRequestObj.idVourcher + "\n"
     + "Phải thanh toán: " + paramOrderRequestObj.combo.VND*(1-paramOrderRequestObj.giamGia/100) + "VND (giảm giá " + paramOrderRequestObj.giamGia + "%)"
     );
    }
    
    //khai báo Api create order
    function goiApiCreateOrder(paramOrderRequestObj,paramXmlHttp){
      const vBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";
      $.ajax({
        url: vBASE_URL,
        type: "POST",
        contentType: "application/json",
        data: JSON.stringify(paramOrderRequestObj),
            success: function(paramRes){
              //b4: xử lý hiển thị
              console.log(paramRes); 
              //gán ordercode vào ô text trong modal cảm ơn
              $("#order-code-output").val(paramRes.orderCode); 
              handleCreateOrderSuccess();
              
              //tạo biến để chứa order code và id
              var vOrderCode = paramRes.orderCode;
              var vOrderId = paramRes.id;   
              //ghi order code và id vào data set của nút Detail
              $("#btn-order-data").attr("order-code", vOrderCode);
              $("#btn-order-data").attr("id", vOrderId);
            },
            error: function(paramErr){
                console.log(paramErr.status);
            }
      });
    }
    //hàm xử lý hiển thị khi thêm order mới thành công
    function handleCreateOrderSuccess(){
      //ẩn modal kiểm tra order
      $("#create-order-modal").modal("hide");
      //hiện modal cảm ơn
      $("#thank-you-modal").modal("show");
    }

  //Task27.90 menu theo dõi chi tiết đơn hàng
  function onNavOrderDetailClick(vBtnDetail){
    //lấy giá trị attribute đã gán cho nút vBtnDetail
    var vOrderCode = vBtnDetail.getAttribute("order-code");
    var vId = vBtnDetail.getAttribute("id");
    
    console.log("Order Id: " + vId);
    console.log("Order Code: " + vOrderCode);
    //gọi form orderDetail hiển thị chi tiết order
    const vDETAIL_FORM_URL = "orderDetailClient.html";
    var vUrlSiteToOpen = vDETAIL_FORM_URL + "?" +
    "id=" + vId +
    "&orderCode=" + vOrderCode;
    window.location.href = vUrlSiteToOpen;
  }

});
</script>

</html>